package cn.ysk.cashier.service.shop;

import cn.ysk.cashier.dto.shop.TbShopVideoDto;
import cn.ysk.cashier.dto.shop.TbShopVideoQueryCriteria;
import cn.ysk.cashier.pojo.shop.TbShopVideo;
import java.util.List;
import java.util.Map;
public interface TbShopVideoService {

    /**
     * 查询数据分页
     * @param criteria 条件
     * @return Map<String,Object>
     */
    Map<String, Object> queryAllPage(TbShopVideoQueryCriteria criteria);

    /**
     * 查询所有数据不分页
     * @param criteria 条件参数
     * @return List<TbShopVideoDto>
     */
    List<TbShopVideoDto> queryAll(TbShopVideoQueryCriteria criteria);

    /**
     * 根据ID查询
     * @param id ID
     * @return TbShopVideoDto
     */
    TbShopVideoDto findById(Integer id);

    /**
     * 创建
     * @param resources /
     * @return TbShopVideoDto
     */
    TbShopVideoDto create(TbShopVideo resources);

    /**
     * 编辑
     * @param resources /
     */
    void update(TbShopVideo resources);

    /**
     * 多选删除
     * @param ids /
     */
    void deleteAll(Integer[] ids);
}
